Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Name_Request::Transfer Struct Reference

List of all members.

## Public Attributes
ACE_UINT32 | length_
| Length of entire request. More...
ACE_UINT32 | msg_type_
| Type of the request (i.e., <BIND>, <REBIND>, <RESOLVE>, and <UNBIND>). More...
ACE_UINT32 | block_forever_
| Indicates if we should block forever. If 0, then <secTimeout_> and <usecTimeout_> indicates how long we should wait. More...
ACE_UINT32 | sec_timeout_
| Max seconds willing to wait for name if not blocking forever. More...
ACE_UINT32 | usec_timeout_
| Max micro seconds to wait for name if not blocking forever. More...
ACE_UINT32 | name_len_
| Len of name in bytes. More...
ACE_UINT32 | value_len_
| Len of value in bytes. More...
ACE_UINT32 | type_len_
| Len of type in bytes. More...
ACE_USHORT16 | data_ [MAX_NAME_LENGTH+MAXPATHLEN+MAXPATHLEN+2]
| The data portion contains the <name_> followed by the <value_> followed by the <type_>. More...

## Member Data Documentation

ACE_UINT32 ACE_Name_Request::Transfer::block_forever_

| Indicates if we should block forever. If 0, then <secTimeout_> and <usecTimeout_> indicates how long we should wait.

ACE_USHORT16 ACE_Name_Request::Transfer::data_[MAX_NAME_LENGTH + MAXPATHLEN + MAXPATHLEN + 2]

| The data portion contains the <name_> followed by the <value_> followed by the <type_>.

ACE_UINT32 ACE_Name_Request::Transfer::length_

| Length of entire request.

ACE_UINT32 ACE_Name_Request::Transfer::msg_type_

| Type of the request (i.e., <BIND>, <REBIND>, <RESOLVE>, and <UNBIND>).

ACE_UINT32 ACE_Name_Request::Transfer::name_len_

| Len of name in bytes.

ACE_UINT32 ACE_Name_Request::Transfer::sec_timeout_

| Max seconds willing to wait for name if not blocking forever.

ACE_UINT32 ACE_Name_Request::Transfer::type_len_

| Len of type in bytes.

ACE_UINT32 ACE_Name_Request::Transfer::usec_timeout_

| Max micro seconds to wait for name if not blocking forever.

ACE_UINT32 ACE_Name_Request::Transfer::value_len_

| Len of value in bytes.

The documentation for this struct was generated from the following file:

- Name_Request_Reply.h